<template>
  <v-row no-gutters>
    <v-col class="ma-5">
      <title-zone
        class="mb-10"
        :title="title"
      />
      <general-info class="mb-10" />
      <results class="mb-10" />
    </v-col>
  </v-row>
</template>

<script>
import { mapActions, mapState } from 'vuex';
import GeneralInfo from './GeneralInfo';
import Results from './Results';
import { hashId } from '~/helpers/format/ids';
import TitleZone from '~/components/Common/Page/TitleZone';
import { errorOptions } from '~/helpers/toast';

export default {
  name: 'LoadDetails',
  components: {
    TitleZone,
    GeneralInfo,
    Results,
  },
  data: () => ({
    loading: false,
  }),
  computed: {
    loadId() {
      return this.$route.params.id;
    },
    title() {
      return `Carga ${hashId({ id: this.loadId })}`;
    },
    ...mapState({
      load: state => state.storage.shipments.current.load,
    }),
  },
  async mounted() {
    await this.getCurrentLoadDetails();
  },
  methods: {
    ...mapActions({
      getLoadDetails: 'sync/loads/getLoadDetails',
    }),
    async getCurrentLoadDetails() {
      try {
        this.loading = true;
        await this.getLoadDetails({ loadId: this.loadId });
      } catch (e) {
        this.$toast.error('No se pudo obtener los datos de la carga', errorOptions);
      }
      this.loading = false;
    },
  },
};
</script>
